Spaces method and path for this operation:
post /s/{space_id}/api/observability/slos/_bulk_snapshot
Refer to Spaces for more information.
Compute the summary of multiple SLO instances at a given point in time. The endpoint is synchronous and returns results directly. Each result contains either a summary (on success) or a per-instance error. The list of requests is limited to 100 entries. When instanceId is omitted or set to '*', the API returns a result for each matching instance (up to 1000 per SLO). You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.
[Required authorization] Route required privileges: slo_read.
POST
/api/observability/slos/_bulk_snapshot
curl \
--request POST 'https://<KIBANA_URL>/api/observability/slos/_bulk_snapshot' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: true" \
--data '{
"at": "2025-01-12T10:00:00.000Z",
"requests": [
{
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"instanceId": "*"
},
{
"id": "d077e940-1515-11ee-9c50-9d096392f520",
"instanceId": "host.name:web-01"
}
]
}'
Request example
{
"at": "2025-01-12T10:00:00.000Z",
"requests": [
{
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"instanceId": "*"
},
{
"id": "d077e940-1515-11ee-9c50-9d096392f520",
"instanceId": "host.name:web-01"
}
]
}
Response examples (200)
{
"at": "2025-01-12T10:00:00.000Z",
"results": [
{
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"instanceId": "*",
"summary": {
"errorBudget": {
"consumed": 0.24,
"initial": 0.01,
"remaining": 0.76
},
"good": 9976,
"sliValue": 0.9976,
"status": "HEALTHY",
"total": 10000
}
},
{
"error": {
"message": "SLO [d077e940-1515-11ee-9c50-9d096392f520] not found",
"statusCode": 404
},
"id": "d077e940-1515-11ee-9c50-9d096392f520",
"instanceId": "host.name:web-01"
}
]
}
Response examples (400)
{
"error": "Bad Request",
"message": "`requests` is limited to 100 entries",
"statusCode": 400
}
Response examples (401)
{
"error": "Unauthorized",
"message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
"statusCode": 401
}
Response examples (403)
{
"error": "Forbidden",
"message": "security_exception: action [slo_read] is unauthorized for user",
"statusCode": 403
}